PSP oldTimerMB

PSPSKU: 1035-1222
filler

Price:
$199
Stock:
In stock

Instant Delivery This product is instantly delivered via email seconds after your purchase is completed.

Digital Product This product may only be downloaded from the manufacturer’s website. You will receive an email with the license code to complete your order. Enjoy a safe and fast way to get the latest version and full support direct from the manufacturer.

Description

PSP oldTimerMB is a vintage-style multi-band compressor designed for demanding track processing, buss and mix compression, and mastering. (VST, VST3, AudioUnit, AAX and RTAS plug-in) Our aim in developing this plug-in was to design a high end multi-band processor based on the algorithm from our best-selling PSP oldTimer compressor. The result is a musical and warm sounding processor with a range of controls making it a vital tool for virtually any kind of music. Switchable and adjustable output valve emulation give's you a choice of additional color to the sound. Thank you, and please enjoy the versatility and quality of PSP oldTimerMB!

 

System Requirements

In order  to run a plug-in in 30 day demo mode  or activate the plug-in, you need an iLok user ID which you can create for free at www.ilok.com, and you need to install the free iLok License Manager application. A hardware USB iLok dongle is NOT required, however it is optional.

PC

VST3

  • Windows x32 or x64 (8 or 10)
  • VST3 compatible application

VST

  • Windows x32 or x64 (8 or 10)
  • VST 2.4 compatible application

RTAS

  • Windows x32 or x64 (8 or 10)
  • ProTools 8.0.0 (or later)

AAX

  • Windows x32 or x64 (XP Service Pack 2, Vista, 7 or 10)
  • Pro Tools 10, 11, 12 or Pro Tools HD 10, 11, 12, Pro Tools 2018 or 2019

All DAWs

  • Up to date iLok License Manager application installed

 
Mac

AudioUnit

  • Mac OSX 10.8 - 10.15 or later
  • 32 or 64-bit compatible host application

VST

  • Mac OSX 10.8 - 10.15 or later
  • 32 or 64-bit VST 2.4 compatible host application

VST3

  • Mac OSX 10.8 - 10.15 or later
  • 32 or 64-bit VST 3 compatible host application

RTAS

  • Mac OSX 10.8, 10.9, 10.10 or 10.11
  • ProTools LE 8.0.0 or ProTools TDM 8.0.0 (or later)

AAX

  • Mac OSX 10.8 - 10.15 or later
  • Pro Tools 10, 11, 12 or Pro Tools HD 10, 11, 12, Pro Tools 2018 or 2019

All DAWs

  • Up to date iLok License Manager application installed

Payment & Security

American Express Apple Pay Diners Club Discover Elo Google Pay JCB Klarna Mastercard PayPal Shop Pay Venmo Visa

Your payment information is processed securely. We do not store credit card details nor have access to your credit card information.

You may also like

Recently viewed